Delete a Kiosk GetRecord

Purpose

To delete a specific GetRecords configuration associated with a Kiosk.

Use the GetRecords Associations API to identify all associations of the GetRecords configuration. Remove the associations from the respective Kiosk components, and then delete the GetRecords configuration.

Use the Get All Kiosks API to retrieve the Kiosk ID and use the Get Kiosk GetRecords API to retrieve the GetRecords ID.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • DELETE /settings/kiosks/{kiosk_ID}/get_records/{getrecord_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/get_records/{getrecord_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.DELETE
(or)
ZohoCRM.settings.ALL

Note

If the specified GetRecords configuration does not belong to the Kiosk, or if it has already been deleted, the API returns the INVALID_DATA error.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021/get_records/5725767000010016117"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid ID has been given
    Resolutions:

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. 

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to delete the Kiosk GetRecord. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • NO_PERMISSIONHTTP 403

    Permission denied
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "get_records": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000010016117"
            },
            "message": "Get record deleted successfully",
            "status": "success"
        }
    ]
}